Get Restore Snapshot Job State (V2)
On RequestRetrieves the current state of a restore snapshot job.
The base URL for this API is in the following format:
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
- Use the cluster endpoint if you are using serving clusters.
Free & Serverless
https://{cluster-id}.serverless.{region}.vectordb.zillizcloud.comDedicated
https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530
The endpoints on the control plane currently supports up to 20 requests per second per user per endpoint.
export CLUSTER_ENDPOINT="https://{cluster-id}.{region}.vectordb.zillizcloud.com:19530"
The authentication token should be an API key with appropriate privileges.
The ID of the restore snapshot job.
export TOKEN="YOUR_API_KEY"
curl --request POST \
--url "${CLUSTER_ENDPOINT}/v2/vectordb/jobs/snapshot/describe" \
--header "Authorization: Bearer ${TOKEN}" \
--header "Request-Timeout: 5" \
--header "Content-Type: application/json" \
-d '{
"jobId": "451799928999570161"
}'
Retrieves the current state of a restore snapshot job.
Response code.
Detailed information about a restore snapshot job.
The unique identifier of the restore job.
The name of the snapshot being restored.
The target database name.
The target collection name.
The current state of the restore job.
The progress of the restore job as a percentage.
The failure reason when the restore job fails.
The timestamp when the restore job started.
The elapsed time of the restore job in milliseconds.
Response code.
Error message.
{
"code": 0,
"data": {
"jobId": 451799928999570200,
"snapshotName": "snapshot_2026_01",
"dbName": "default",
"collectionName": "my_collection",
"state": "RestoreSnapshotCompleted",
"progress": 100,
"reason": "",
"startTime": "2026-01-01T00:00:00Z",
"timeCost": 1200
}
}